no warnings 'redefine';

sub LimitToGlobalOrQueue {
    my $self = shift;
    my $queue = shift;
    $self->LimitToQueue($queue);
    $self->LimitToGlobal();

    # make sure we return global ones first
    $self->OrderBy( FIELD => 'Queue, SortOrder', ORDER => 'ASC');
}

1;
